Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.3.244.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
53.3.244.0
Broadcast address
53.3.247.255
First usable
53.3.244.1
Last usable
53.3.247.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 3503F400 · Integer 889451520 to 889452543
Reverse DNS zones
244.3.53.in-addr.arpa
245.3.53.in-addr.arpa
246.3.53.in-addr.arpa
247.3.53.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101.00000011.11110100.0000000053.3.244.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00110101.00000011.11110100.0000000053.3.244.0
Broadcast00110101.00000011.11110111.1111111153.3.247.255
Split into smaller subnets/30

53.3.244.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.3.244.0/3053.3.244.1 to 53.3.244.253.3.244.32
253.3.244.4/3053.3.244.5 to 53.3.244.653.3.244.72
353.3.244.8/3053.3.244.9 to 53.3.244.1053.3.244.112
453.3.244.12/3053.3.244.13 to 53.3.244.1453.3.244.152
553.3.244.16/3053.3.244.17 to 53.3.244.1853.3.244.192
653.3.244.20/3053.3.244.21 to 53.3.244.2253.3.244.232
753.3.244.24/3053.3.244.25 to 53.3.244.2653.3.244.272
853.3.244.28/3053.3.244.29 to 53.3.244.3053.3.244.312
953.3.244.32/3053.3.244.33 to 53.3.244.3453.3.244.352
1053.3.244.36/3053.3.244.37 to 53.3.244.3853.3.244.392
1153.3.244.40/3053.3.244.41 to 53.3.244.4253.3.244.432
1253.3.244.44/3053.3.244.45 to 53.3.244.4653.3.244.472
1353.3.244.48/3053.3.244.49 to 53.3.244.5053.3.244.512
1453.3.244.52/3053.3.244.53 to 53.3.244.5453.3.244.552
1553.3.244.56/3053.3.244.57 to 53.3.244.5853.3.244.592
1653.3.244.60/3053.3.244.61 to 53.3.244.6253.3.244.632
1753.3.244.64/3053.3.244.65 to 53.3.244.6653.3.244.672
1853.3.244.68/3053.3.244.69 to 53.3.244.7053.3.244.712
1953.3.244.72/3053.3.244.73 to 53.3.244.7453.3.244.752
2053.3.244.76/3053.3.244.77 to 53.3.244.7853.3.244.792
2153.3.244.80/3053.3.244.81 to 53.3.244.8253.3.244.832
2253.3.244.84/3053.3.244.85 to 53.3.244.8653.3.244.872
2353.3.244.88/3053.3.244.89 to 53.3.244.9053.3.244.912
2453.3.244.92/3053.3.244.93 to 53.3.244.9453.3.244.952
2553.3.244.96/3053.3.244.97 to 53.3.244.9853.3.244.992
2653.3.244.100/3053.3.244.101 to 53.3.244.10253.3.244.1032
2753.3.244.104/3053.3.244.105 to 53.3.244.10653.3.244.1072
2853.3.244.108/3053.3.244.109 to 53.3.244.11053.3.244.1112
2953.3.244.112/3053.3.244.113 to 53.3.244.11453.3.244.1152
3053.3.244.116/3053.3.244.117 to 53.3.244.11853.3.244.1192
3153.3.244.120/3053.3.244.121 to 53.3.244.12253.3.244.1232
3253.3.244.124/3053.3.244.125 to 53.3.244.12653.3.244.1272
3353.3.244.128/3053.3.244.129 to 53.3.244.13053.3.244.1312
3453.3.244.132/3053.3.244.133 to 53.3.244.13453.3.244.1352
3553.3.244.136/3053.3.244.137 to 53.3.244.13853.3.244.1392
3653.3.244.140/3053.3.244.141 to 53.3.244.14253.3.244.1432
3753.3.244.144/3053.3.244.145 to 53.3.244.14653.3.244.1472
3853.3.244.148/3053.3.244.149 to 53.3.244.15053.3.244.1512
3953.3.244.152/3053.3.244.153 to 53.3.244.15453.3.244.1552
4053.3.244.156/3053.3.244.157 to 53.3.244.15853.3.244.1592
4153.3.244.160/3053.3.244.161 to 53.3.244.16253.3.244.1632
4253.3.244.164/3053.3.244.165 to 53.3.244.16653.3.244.1672
4353.3.244.168/3053.3.244.169 to 53.3.244.17053.3.244.1712
4453.3.244.172/3053.3.244.173 to 53.3.244.17453.3.244.1752
4553.3.244.176/3053.3.244.177 to 53.3.244.17853.3.244.1792
4653.3.244.180/3053.3.244.181 to 53.3.244.18253.3.244.1832
4753.3.244.184/3053.3.244.185 to 53.3.244.18653.3.244.1872
4853.3.244.188/3053.3.244.189 to 53.3.244.19053.3.244.1912
4953.3.244.192/3053.3.244.193 to 53.3.244.19453.3.244.1952
5053.3.244.196/3053.3.244.197 to 53.3.244.19853.3.244.1992
5153.3.244.200/3053.3.244.201 to 53.3.244.20253.3.244.2032
5253.3.244.204/3053.3.244.205 to 53.3.244.20653.3.244.2072
5353.3.244.208/3053.3.244.209 to 53.3.244.21053.3.244.2112
5453.3.244.212/3053.3.244.213 to 53.3.244.21453.3.244.2152
5553.3.244.216/3053.3.244.217 to 53.3.244.21853.3.244.2192
5653.3.244.220/3053.3.244.221 to 53.3.244.22253.3.244.2232
5753.3.244.224/3053.3.244.225 to 53.3.244.22653.3.244.2272
5853.3.244.228/3053.3.244.229 to 53.3.244.23053.3.244.2312
5953.3.244.232/3053.3.244.233 to 53.3.244.23453.3.244.2352
6053.3.244.236/3053.3.244.237 to 53.3.244.23853.3.244.2392
6153.3.244.240/3053.3.244.241 to 53.3.244.24253.3.244.2432
6253.3.244.244/3053.3.244.245 to 53.3.244.24653.3.244.2472
6353.3.244.248/3053.3.244.249 to 53.3.244.25053.3.244.2512
6453.3.244.252/3053.3.244.253 to 53.3.244.25453.3.244.2552
6553.3.245.0/3053.3.245.1 to 53.3.245.253.3.245.32
6653.3.245.4/3053.3.245.5 to 53.3.245.653.3.245.72
6753.3.245.8/3053.3.245.9 to 53.3.245.1053.3.245.112
6853.3.245.12/3053.3.245.13 to 53.3.245.1453.3.245.152
6953.3.245.16/3053.3.245.17 to 53.3.245.1853.3.245.192
7053.3.245.20/3053.3.245.21 to 53.3.245.2253.3.245.232
7153.3.245.24/3053.3.245.25 to 53.3.245.2653.3.245.272
7253.3.245.28/3053.3.245.29 to 53.3.245.3053.3.245.312
7353.3.245.32/3053.3.245.33 to 53.3.245.3453.3.245.352
7453.3.245.36/3053.3.245.37 to 53.3.245.3853.3.245.392
7553.3.245.40/3053.3.245.41 to 53.3.245.4253.3.245.432
7653.3.245.44/3053.3.245.45 to 53.3.245.4653.3.245.472
7753.3.245.48/3053.3.245.49 to 53.3.245.5053.3.245.512
7853.3.245.52/3053.3.245.53 to 53.3.245.5453.3.245.552
7953.3.245.56/3053.3.245.57 to 53.3.245.5853.3.245.592
8053.3.245.60/3053.3.245.61 to 53.3.245.6253.3.245.632
8153.3.245.64/3053.3.245.65 to 53.3.245.6653.3.245.672
8253.3.245.68/3053.3.245.69 to 53.3.245.7053.3.245.712
8353.3.245.72/3053.3.245.73 to 53.3.245.7453.3.245.752
8453.3.245.76/3053.3.245.77 to 53.3.245.7853.3.245.792
8553.3.245.80/3053.3.245.81 to 53.3.245.8253.3.245.832
8653.3.245.84/3053.3.245.85 to 53.3.245.8653.3.245.872
8753.3.245.88/3053.3.245.89 to 53.3.245.9053.3.245.912
8853.3.245.92/3053.3.245.93 to 53.3.245.9453.3.245.952
8953.3.245.96/3053.3.245.97 to 53.3.245.9853.3.245.992
9053.3.245.100/3053.3.245.101 to 53.3.245.10253.3.245.1032
9153.3.245.104/3053.3.245.105 to 53.3.245.10653.3.245.1072
9253.3.245.108/3053.3.245.109 to 53.3.245.11053.3.245.1112
9353.3.245.112/3053.3.245.113 to 53.3.245.11453.3.245.1152
9453.3.245.116/3053.3.245.117 to 53.3.245.11853.3.245.1192
9553.3.245.120/3053.3.245.121 to 53.3.245.12253.3.245.1232
9653.3.245.124/3053.3.245.125 to 53.3.245.12653.3.245.1272
9753.3.245.128/3053.3.245.129 to 53.3.245.13053.3.245.1312
9853.3.245.132/3053.3.245.133 to 53.3.245.13453.3.245.1352
9953.3.245.136/3053.3.245.137 to 53.3.245.13853.3.245.1392
10053.3.245.140/3053.3.245.141 to 53.3.245.14253.3.245.1432
10153.3.245.144/3053.3.245.145 to 53.3.245.14653.3.245.1472
10253.3.245.148/3053.3.245.149 to 53.3.245.15053.3.245.1512
10353.3.245.152/3053.3.245.153 to 53.3.245.15453.3.245.1552
10453.3.245.156/3053.3.245.157 to 53.3.245.15853.3.245.1592
10553.3.245.160/3053.3.245.161 to 53.3.245.16253.3.245.1632
10653.3.245.164/3053.3.245.165 to 53.3.245.16653.3.245.1672
10753.3.245.168/3053.3.245.169 to 53.3.245.17053.3.245.1712
10853.3.245.172/3053.3.245.173 to 53.3.245.17453.3.245.1752
10953.3.245.176/3053.3.245.177 to 53.3.245.17853.3.245.1792
11053.3.245.180/3053.3.245.181 to 53.3.245.18253.3.245.1832
11153.3.245.184/3053.3.245.185 to 53.3.245.18653.3.245.1872
11253.3.245.188/3053.3.245.189 to 53.3.245.19053.3.245.1912
11353.3.245.192/3053.3.245.193 to 53.3.245.19453.3.245.1952
11453.3.245.196/3053.3.245.197 to 53.3.245.19853.3.245.1992
11553.3.245.200/3053.3.245.201 to 53.3.245.20253.3.245.2032
11653.3.245.204/3053.3.245.205 to 53.3.245.20653.3.245.2072
11753.3.245.208/3053.3.245.209 to 53.3.245.21053.3.245.2112
11853.3.245.212/3053.3.245.213 to 53.3.245.21453.3.245.2152
11953.3.245.216/3053.3.245.217 to 53.3.245.21853.3.245.2192
12053.3.245.220/3053.3.245.221 to 53.3.245.22253.3.245.2232
12153.3.245.224/3053.3.245.225 to 53.3.245.22653.3.245.2272
12253.3.245.228/3053.3.245.229 to 53.3.245.23053.3.245.2312
12353.3.245.232/3053.3.245.233 to 53.3.245.23453.3.245.2352
12453.3.245.236/3053.3.245.237 to 53.3.245.23853.3.245.2392
12553.3.245.240/3053.3.245.241 to 53.3.245.24253.3.245.2432
12653.3.245.244/3053.3.245.245 to 53.3.245.24653.3.245.2472
12753.3.245.248/3053.3.245.249 to 53.3.245.25053.3.245.2512
12853.3.245.252/3053.3.245.253 to 53.3.245.25453.3.245.2552
12953.3.246.0/3053.3.246.1 to 53.3.246.253.3.246.32
13053.3.246.4/3053.3.246.5 to 53.3.246.653.3.246.72
13153.3.246.8/3053.3.246.9 to 53.3.246.1053.3.246.112
13253.3.246.12/3053.3.246.13 to 53.3.246.1453.3.246.152
13353.3.246.16/3053.3.246.17 to 53.3.246.1853.3.246.192
13453.3.246.20/3053.3.246.21 to 53.3.246.2253.3.246.232
13553.3.246.24/3053.3.246.25 to 53.3.246.2653.3.246.272
13653.3.246.28/3053.3.246.29 to 53.3.246.3053.3.246.312
13753.3.246.32/3053.3.246.33 to 53.3.246.3453.3.246.352
13853.3.246.36/3053.3.246.37 to 53.3.246.3853.3.246.392
13953.3.246.40/3053.3.246.41 to 53.3.246.4253.3.246.432
14053.3.246.44/3053.3.246.45 to 53.3.246.4653.3.246.472
14153.3.246.48/3053.3.246.49 to 53.3.246.5053.3.246.512
14253.3.246.52/3053.3.246.53 to 53.3.246.5453.3.246.552
14353.3.246.56/3053.3.246.57 to 53.3.246.5853.3.246.592
14453.3.246.60/3053.3.246.61 to 53.3.246.6253.3.246.632
14553.3.246.64/3053.3.246.65 to 53.3.246.6653.3.246.672
14653.3.246.68/3053.3.246.69 to 53.3.246.7053.3.246.712
14753.3.246.72/3053.3.246.73 to 53.3.246.7453.3.246.752
14853.3.246.76/3053.3.246.77 to 53.3.246.7853.3.246.792
14953.3.246.80/3053.3.246.81 to 53.3.246.8253.3.246.832
15053.3.246.84/3053.3.246.85 to 53.3.246.8653.3.246.872
15153.3.246.88/3053.3.246.89 to 53.3.246.9053.3.246.912
15253.3.246.92/3053.3.246.93 to 53.3.246.9453.3.246.952
15353.3.246.96/3053.3.246.97 to 53.3.246.9853.3.246.992
15453.3.246.100/3053.3.246.101 to 53.3.246.10253.3.246.1032
15553.3.246.104/3053.3.246.105 to 53.3.246.10653.3.246.1072
15653.3.246.108/3053.3.246.109 to 53.3.246.11053.3.246.1112
15753.3.246.112/3053.3.246.113 to 53.3.246.11453.3.246.1152
15853.3.246.116/3053.3.246.117 to 53.3.246.11853.3.246.1192
15953.3.246.120/3053.3.246.121 to 53.3.246.12253.3.246.1232
16053.3.246.124/3053.3.246.125 to 53.3.246.12653.3.246.1272
16153.3.246.128/3053.3.246.129 to 53.3.246.13053.3.246.1312
16253.3.246.132/3053.3.246.133 to 53.3.246.13453.3.246.1352
16353.3.246.136/3053.3.246.137 to 53.3.246.13853.3.246.1392
16453.3.246.140/3053.3.246.141 to 53.3.246.14253.3.246.1432
16553.3.246.144/3053.3.246.145 to 53.3.246.14653.3.246.1472
16653.3.246.148/3053.3.246.149 to 53.3.246.15053.3.246.1512
16753.3.246.152/3053.3.246.153 to 53.3.246.15453.3.246.1552
16853.3.246.156/3053.3.246.157 to 53.3.246.15853.3.246.1592
16953.3.246.160/3053.3.246.161 to 53.3.246.16253.3.246.1632
17053.3.246.164/3053.3.246.165 to 53.3.246.16653.3.246.1672
17153.3.246.168/3053.3.246.169 to 53.3.246.17053.3.246.1712
17253.3.246.172/3053.3.246.173 to 53.3.246.17453.3.246.1752
17353.3.246.176/3053.3.246.177 to 53.3.246.17853.3.246.1792
17453.3.246.180/3053.3.246.181 to 53.3.246.18253.3.246.1832
17553.3.246.184/3053.3.246.185 to 53.3.246.18653.3.246.1872
17653.3.246.188/3053.3.246.189 to 53.3.246.19053.3.246.1912
17753.3.246.192/3053.3.246.193 to 53.3.246.19453.3.246.1952
17853.3.246.196/3053.3.246.197 to 53.3.246.19853.3.246.1992
17953.3.246.200/3053.3.246.201 to 53.3.246.20253.3.246.2032
18053.3.246.204/3053.3.246.205 to 53.3.246.20653.3.246.2072
18153.3.246.208/3053.3.246.209 to 53.3.246.21053.3.246.2112
18253.3.246.212/3053.3.246.213 to 53.3.246.21453.3.246.2152
18353.3.246.216/3053.3.246.217 to 53.3.246.21853.3.246.2192
18453.3.246.220/3053.3.246.221 to 53.3.246.22253.3.246.2232
18553.3.246.224/3053.3.246.225 to 53.3.246.22653.3.246.2272
18653.3.246.228/3053.3.246.229 to 53.3.246.23053.3.246.2312
18753.3.246.232/3053.3.246.233 to 53.3.246.23453.3.246.2352
18853.3.246.236/3053.3.246.237 to 53.3.246.23853.3.246.2392
18953.3.246.240/3053.3.246.241 to 53.3.246.24253.3.246.2432
19053.3.246.244/3053.3.246.245 to 53.3.246.24653.3.246.2472
19153.3.246.248/3053.3.246.249 to 53.3.246.25053.3.246.2512
19253.3.246.252/3053.3.246.253 to 53.3.246.25453.3.246.2552
19353.3.247.0/3053.3.247.1 to 53.3.247.253.3.247.32
19453.3.247.4/3053.3.247.5 to 53.3.247.653.3.247.72
19553.3.247.8/3053.3.247.9 to 53.3.247.1053.3.247.112
19653.3.247.12/3053.3.247.13 to 53.3.247.1453.3.247.152
19753.3.247.16/3053.3.247.17 to 53.3.247.1853.3.247.192
19853.3.247.20/3053.3.247.21 to 53.3.247.2253.3.247.232
19953.3.247.24/3053.3.247.25 to 53.3.247.2653.3.247.272
20053.3.247.28/3053.3.247.29 to 53.3.247.3053.3.247.312
20153.3.247.32/3053.3.247.33 to 53.3.247.3453.3.247.352
20253.3.247.36/3053.3.247.37 to 53.3.247.3853.3.247.392
20353.3.247.40/3053.3.247.41 to 53.3.247.4253.3.247.432
20453.3.247.44/3053.3.247.45 to 53.3.247.4653.3.247.472
20553.3.247.48/3053.3.247.49 to 53.3.247.5053.3.247.512
20653.3.247.52/3053.3.247.53 to 53.3.247.5453.3.247.552
20753.3.247.56/3053.3.247.57 to 53.3.247.5853.3.247.592
20853.3.247.60/3053.3.247.61 to 53.3.247.6253.3.247.632
20953.3.247.64/3053.3.247.65 to 53.3.247.6653.3.247.672
21053.3.247.68/3053.3.247.69 to 53.3.247.7053.3.247.712
21153.3.247.72/3053.3.247.73 to 53.3.247.7453.3.247.752
21253.3.247.76/3053.3.247.77 to 53.3.247.7853.3.247.792
21353.3.247.80/3053.3.247.81 to 53.3.247.8253.3.247.832
21453.3.247.84/3053.3.247.85 to 53.3.247.8653.3.247.872
21553.3.247.88/3053.3.247.89 to 53.3.247.9053.3.247.912
21653.3.247.92/3053.3.247.93 to 53.3.247.9453.3.247.952
21753.3.247.96/3053.3.247.97 to 53.3.247.9853.3.247.992
21853.3.247.100/3053.3.247.101 to 53.3.247.10253.3.247.1032
21953.3.247.104/3053.3.247.105 to 53.3.247.10653.3.247.1072
22053.3.247.108/3053.3.247.109 to 53.3.247.11053.3.247.1112
22153.3.247.112/3053.3.247.113 to 53.3.247.11453.3.247.1152
22253.3.247.116/3053.3.247.117 to 53.3.247.11853.3.247.1192
22353.3.247.120/3053.3.247.121 to 53.3.247.12253.3.247.1232
22453.3.247.124/3053.3.247.125 to 53.3.247.12653.3.247.1272
22553.3.247.128/3053.3.247.129 to 53.3.247.13053.3.247.1312
22653.3.247.132/3053.3.247.133 to 53.3.247.13453.3.247.1352
22753.3.247.136/3053.3.247.137 to 53.3.247.13853.3.247.1392
22853.3.247.140/3053.3.247.141 to 53.3.247.14253.3.247.1432
22953.3.247.144/3053.3.247.145 to 53.3.247.14653.3.247.1472
23053.3.247.148/3053.3.247.149 to 53.3.247.15053.3.247.1512
23153.3.247.152/3053.3.247.153 to 53.3.247.15453.3.247.1552
23253.3.247.156/3053.3.247.157 to 53.3.247.15853.3.247.1592
23353.3.247.160/3053.3.247.161 to 53.3.247.16253.3.247.1632
23453.3.247.164/3053.3.247.165 to 53.3.247.16653.3.247.1672
23553.3.247.168/3053.3.247.169 to 53.3.247.17053.3.247.1712
23653.3.247.172/3053.3.247.173 to 53.3.247.17453.3.247.1752
23753.3.247.176/3053.3.247.177 to 53.3.247.17853.3.247.1792
23853.3.247.180/3053.3.247.181 to 53.3.247.18253.3.247.1832
23953.3.247.184/3053.3.247.185 to 53.3.247.18653.3.247.1872
24053.3.247.188/3053.3.247.189 to 53.3.247.19053.3.247.1912
24153.3.247.192/3053.3.247.193 to 53.3.247.19453.3.247.1952
24253.3.247.196/3053.3.247.197 to 53.3.247.19853.3.247.1992
24353.3.247.200/3053.3.247.201 to 53.3.247.20253.3.247.2032
24453.3.247.204/3053.3.247.205 to 53.3.247.20653.3.247.2072
24553.3.247.208/3053.3.247.209 to 53.3.247.21053.3.247.2112
24653.3.247.212/3053.3.247.213 to 53.3.247.21453.3.247.2152
24753.3.247.216/3053.3.247.217 to 53.3.247.21853.3.247.2192
24853.3.247.220/3053.3.247.221 to 53.3.247.22253.3.247.2232
24953.3.247.224/3053.3.247.225 to 53.3.247.22653.3.247.2272
25053.3.247.228/3053.3.247.229 to 53.3.247.23053.3.247.2312
25153.3.247.232/3053.3.247.233 to 53.3.247.23453.3.247.2352
25253.3.247.236/3053.3.247.237 to 53.3.247.23853.3.247.2392
25353.3.247.240/3053.3.247.241 to 53.3.247.24253.3.247.2432
25453.3.247.244/3053.3.247.245 to 53.3.247.24653.3.247.2472
25553.3.247.248/3053.3.247.249 to 53.3.247.25053.3.247.2512
25653.3.247.252/3053.3.247.253 to 53.3.247.25453.3.247.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses